Bug 1567598 - Include memory calculations by default in evenly_distributed
Summary: Include memory calculations by default in evenly_distributed
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Backend.Core
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.3.0
: ---
Assignee: Nobody
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-15 09:15 UTC by Doron Fediuck
Modified: 2019-01-29 12:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-04 10:42:08 UTC
oVirt Team: SLA
dfediuck: ovirt-4.3?
mavital: testing_plan_complete-
dfediuck: planning_ack?
dfediuck: devel_ack?
dfediuck: testing_ack?


Attachments (Terms of Use)

Description Doron Fediuck 2018-04-15 09:15:27 UTC
Description of problem:
Currenly evenly_distributed policy does not include memory by default and the MinFreeMemoryForUnderUtilized and MaxFreeMemoryForOverUtilized keys needs to be explicitly set.

The main reason for this was backwards compatibility and by 4.3 we should be able to change it and make the default more useful with memory included.

Comment 1 Martin Sivák 2018-07-04 10:42:08 UTC
Autodetecting the proper values is not easy as it depends on host sizes and VM sizes. We can reconsider this if we have an actual user story.


Note You need to log in before you can comment on or make changes to this bug.